X2Go Bug report logs - #210
X2gobroker-wsgi variables ignored

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Anders Bruun Olsen <abo@dsl.dk>

Date: Wed, 15 May 2013 12:33:01 UTC

Severity: normal

Tags: pending

Fixed in version 0.0.2.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#210; Package x2gobroker. (Wed, 15 May 2013 12:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anders Bruun Olsen <abo@dsl.dk>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

0.0.2.0 and 0.0.2.1 (git master)

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 15 May 2013 12:33:01 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Anders Bruun Olsen <abo@dsl.dk>
To: submit@bugs.x2go.org
Subject: X2gobroker-wsgi variables ignored
Date: Wed, 15 May 2013 14:20:31 +0200
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: 0.0.2.0 and 0.0.2.1 (git master)

I am trying to setup x2gobroker served via WSGI with the new
x2gobroker-wsgi package. I have opted to setup a vhost that will serve only
clients from my LAN and a different one for outside access. For this, I
want to point them to different config-files (session profiles) and have
discovered that none of the SetEnv statements in the Apache config files
are being honored. According to
http://stackoverflow.com/questions/9016504/apache-setenv-not-working-as-expected-with-mod-wsgiSetEnv
does not result in variables being available in os.environ, but
instead in the WSGI request's variable called environ. I can see that the
code currently looks in os.environ, and as such, when running through WSGI,
only default values are used. You could either look in both os.environ and
the WSGI requests environ, or only look in the WSGI request and have code
before that, which adds os.environs variables to the WSGI request.

-- 
Anders Bruun Olsen
It-ansvarlig
Det Danske Sprog- og Litteraturselskab
(Society for Danish Language and Literature)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#210; Package x2gobroker. (Sun, 19 May 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 May 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #10 received at 210@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 210-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 210@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Sun, 19 May 2013 12:40:40 +0200 (CEST)
tag #210 pending
fixed #210 0.0.2.1
thanks

Hello,

X2Go issue #210 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=a8dbd6b

The issue will most likely be fixed in src:x2gobroker (0.0.2.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a8dbd6b888cf3b9321ecd42086defc68532e774f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sun May 19 12:39:45 2013 +0200

    Make X2GOBROKER_SESSIONPROFILES configurable through a SetEnv WSGI parameter in the httpd configuration. (Fixes: #210).

diff --git a/debian/changelog b/debian/changelog
index a78bfda..c9d5d8e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ x2gobroker (0.0.2.1-0~x2go1) UNRELEASED; urgency=low
       backend name.
     - In WSGI mode: only populate os.environ with variables matching
       »X2GOBROKER_*«.
+    - Make X2GOBROKER_SESSIONPROFILES configurable through a SetEnv WSGI
+      parameter in the httpd configuration. (Fixes: #210).
   * Provide init scripts and *.default files outside of /debian folder (as
     they are also relevant for non-Debian packaging).
 


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#210; Package x2gobroker. (Sun, 19 May 2013 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 19 May 2013 10:48:02 GMT) Full text and rfc822 format available.

Message #15 received at 210@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 210-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 210@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Sun, 19 May 2013 12:43:45 +0200 (CEST)
close #210
thanks

Hello,

we are very hopeful that X2Go issue #210 reported by you
has been resolved in the new release (0.0.2.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.2.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=e7ba5f8e1a81d814f4d3e9f82ad6e9bc2855e7cd;hp=363a8fb21e215d403ef81c9bfc0d079d431bacce

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.2.1
Status: RELEASE
Date: Sun, 19 May 2013 12:41:06 +0200
Fixes: 201 210 211
Changes: 
 x2gobroker (0.0.2.1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream version (0.0.2.1):
     - Remove trailing slashes from ManagementServer URLs.
     - In Apache2 vhost configuration example, move WSGI environment
       variable settings into VirtualHost setup.
     - Remove unused, not-yet-developed broker backends and frontends.
     - Remove old cruft from x2gobroker.conf.
     - Security fix for setuid wrapper x2gobroker-agent.c. Hard-code path to
       x2gobroker-agent.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
     - Handle URLs in plain WebUI that have slashes (and subpaths) in the
       backend name.
     - In WSGI mode: only populate os.environ with variables matching
       »X2GOBROKER_*«.
     - Make X2GOBROKER_SESSIONPROFILES configurable via a SetEnv WSGI parameter
       in the httpd configuration possible. (Fixes: #210).
   * Provide init scripts and *.default files outside of /debian folder (as
     they are also relevant for non-Debian packaging).
 .
   [ Jan Engelhardt ]
   * New upstream version (0.0.2.1):
     - Populate install target of Makefile. (Fixes: #201).
     - Install man pages and default files through Makefile, as well. (Fixes:
       #211).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 10:48:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.2.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 10:48:03 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sun, 19 May 2013 10:48:04 GMT) Full text and rfc822 format available.

Notification sent to Anders Bruun Olsen <abo@dsl.dk>:
Bug acknowledged by developer. (Sun, 19 May 2013 10:48:04 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#210. (Sun, 19 May 2013 10:48:05 GMT) Full text and rfc822 format available.

Message sent on to Anders Bruun Olsen <abo@dsl.dk>:
Bug#210. (Sun, 19 May 2013 10:48:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 17 Jun 2013 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:45:07 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.